#pragma once



#include "AutoByteArray.h"

class CAutoFile
{


public:	

	typedef enum _FILE_TYPE
		{
			WRITE             = 0,             
			READ              = 1
		}FILE_TYPE;


	CAutoFile(CString fpath,FILE_TYPE ftype);
	~CAutoFile(void);


	BOOL   IsSuccess(){return m_Success;}

	BOOL   Read(void * lpBuf,UINT nCount);
	BOOL   Write(void * lpBuf,UINT nCount);

	BOOL   WriteLine(CString text);


static	VOID  BuildAll0x00File(CString name,UINT pagesize,UINT pagetotal);
static	VOID  BuildAll0xFFFile(CString name,UINT pagesize,UINT pagetotal);
static	VOID  BuildSequenceFile(CString name,UINT pagesize,UINT pagetotal);
static	VOID  BuildRandomFile(CString name,UINT pagesize,UINT pagetotal);

static	BOOL  FileCompare(CString source,CString object,UINT pagesize,UINT pagetotal);

private:
	CFile      file;
	FILE_TYPE  m_Type;
    CString    m_Path;
    BOOL       m_Success;
};
